Bug 740384 - php-pear-Log uses deprecated functions
Summary: php-pear-Log uses deprecated functions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: php-pear-Log
Version: el5
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-21 20:18 UTC by Greg Swallow
Modified: 2011-10-11 02:03 UTC (History)
2 users (show)

Fixed In Version: php-pear-Log-1.12.7-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of: 593645
Environment:
Last Closed: 2011-10-11 02:03:18 UTC


Attachments (Terms of Use)

Description Greg Swallow 2011-09-21 20:18:17 UTC
+++ This bug was initially created as a clone of Bug #593645 +++

Description of problem:

The current version of php-pear-Log in Fedora 12 is php-pear-Log-1.11.6-1.fc12.noarch, however using this version causes a deprecated warning in PHP. The latest version in Pear (1.12.0) has solved this problem, so the RPM just needs to be updated.

Version-Release number of selected component (if applicable):

php-pear-Log-1.11.6-1.fc12.noarch

How reproducible:

Always

Steps to Reproduce:
1. Attempt to use the Log package
2.
3.
  
Actual results:

Deprecation warning generated.

Expected results:

No deprecation warning generated.

Additional info:

Could you push an update for EPEL5 please.  Using php53 and horde there are deprecation messages.  If for whatever reason you didn't want to update to 1.12 in EPEL5 then there are patches here for the 1.11.6 rpm to fix the deprecation messages - http://smeserver.cvs.sourceforge.net/viewvc/smeserver/rpms/php-pear-Log/sme8/

Comment 1 Fedora Update System 2011-09-22 19:35:01 UTC
php-pear-Log-1.12.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-pear-Log-1.12.7-1.el5

Comment 2 Fedora Update System 2011-09-24 21:57:21 UTC
Package php-pear-Log-1.12.7-1.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing php-pear-Log-1.12.7-1.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/php-pear-Log-1.12.7-1.el5
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2011-10-11 02:03:18 UTC
php-pear-Log-1.12.7-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.